# What is Bubble?

Bubble is a new way to use the Internet that enhances your online privacy, helps cut out the "noise" to give you more "signal" and provides many other enhancements to your Internet experience.

## Your Bubble is a Virtual Private Network (VPN)
When your phone or computer is connected to a VPN, all of its network traffic will go through the VPN. The connection between your device and the VPN is encrypted, so that none of the network providers in between (for example your home Internet provider or your mobile carrier) can see anything. To them, it's all encrypted bits. On the flipside, the online services and websites you use will not know where you are - they will see your traffic as coming from the VPN, which can be located anywhere in the world.

Using a VPN gives you some privacy protection against snooping ISPs, mobile carriers and online services. The downside is that you are now placing a lot of trust in your VPN provider, who now carries all of your traffic. Your VPN provider also likely operates a shared "multi-tenant" system, meaning that many other VPN users are sharing the same computer systems you are for their Internet. If one VPN customer, or a malicious actor, breaches the VPN's security, they'd see the traffic for all the VPN users on it.

## Your Bubble is Yours Alone
When you launch your Bubble, it is yours and yours alone. No traffic from other Bubble users will use your Bubble.  When you launch a Bubble through bubblev.com, one of the first steps we take is throwing away the key.

## Your Bubble is Open Source
We have published all of our source code under an open source license to provide additional trust and transparency. If you really don't trust that we actually throw away the key, you are free to launch your own Bubble without using our service. Open source makes this possible.

## Your Bubble can Modify Network Traffic
Bubble implements a pattern known as a "man-in-the-middle attack". In common parlance, this type of attack is associated with nefarious actors who want to spy on your encrypted network traffic or trick you into thinking you are on a legitimate website (for example your bank) when in fact you are sending all of your traffic to them. With Bubble, we turn this on its head. You are "attacking" yourself, with the end goal of improving your Internet experience. This allows for many exciting possibilities:

### Block Advertising
Your Bubble can strip out ads so that your browser doesn't have to. You'll use less data on your data plan, and your pages will load faster. Also, traditional ad blockers only work in web browsers, so they can't block ads shown in native mobile applications. Bubble can block all ads, even within native mobile apps and other unconventional, non-browser environments.

### Block Malware and Scams
Let's say you accidentally click on a link that looks legitimate, but is actually from a scammer. Without Bubble, you see a web page that looks legitimate (for example your online banking site), but is actually run by the scammer. You might not notice any differences, but your Bubble will. With Bubble, instead of taking you to the scammer's website, you'll see a "Scam Detected" web page and your Bubble won't even load the scammer's web site.

### Block Behavioral Tracking
Your mobile devices are very chatty. Even when you are not using them, your devices are constantly sending metrics and analytics about your behavior to various data brokers and tracking services. Ad blockers will not block this traffic, since there is no "browser" to run the ad blocker. Bubble blocks these types of requests at the network. Goodbye, spyware!

### Block Abusive Users
Many websites and online services offer no way to block users. On services that do allow you to block users, it is usually easy for the people you've blocked to know that they've been blocked. Bubble allows you to block users across many different services, and when users are blocked on Bubble, the blocked user has no way of knowing; to them, they're not blocked; but you'll never see them again.

## Bubble Roadmap
The following apps and features are in development and will be released over the next several months:

### Selective Blocking
Maybe you don't want to completely block a user, because they are a cherished member of your extended family. But for whatever reason they are constantly ranting about some topic. You want to see their posts, just not anything about this topic. You can block by keyword, or block all posts that link to some news websites, or all news websites.

### Social Media Inbox
Your Bubble can do things for you, to give you even more privacy. Every time you use a social network, you are entering a panopticon -- the social network is deciding what to show you, in what order. The social network is watching your every move. It knows what you looked at for a long time and what you just scrolled quickly past. It knows every link you clicked on, every mouse movement or screen-touch you made. To those of us at Bubble, this is an unacceptable price to pay for interacting with your friends.

With Social Media Inbox, your Bubble visits the various social media services on your behalf. Your Bubble downloads your entire feed, and puts it into your Social Media Inbox, which is a special website that is only accessible from your Bubble. In your Social Media Inbox, you can sort your feed chronologically, filter by keywords or users, and much more. The social media company doesn't get to know anything about your behavior.

When you "like" or "reply" from your Social Media Inbox, you can choose whether to post that like/reply back to the social media service (in which case they will see it), or you can choose to send your like or reply via SMS or email, in which case they will know nothing about that interaction between you and your friend.

### Auto-Play Blocking
Many websites have content that automatically starts playing and making noise at you, when you're just trying to browse. Many people find Netflix "previews" annoying and distracting, and there is no way to turn off this "feature". With Bubble, auto-play is disabled. Your Bubble simply won't let the auto-play audio/video traffic through to you.

### Media Review
Save every single video and audio asset that travels over your network to a folder that you can review, replay, add to media library, add a block rule, and much more.

### App Store
Ad Block, Malware Block, Social Media Inbox and the other wonderful features described above are packaged as "Bubble Apps" that come built-in to the Bubble platform. Bubble will also open an App Store where third-party developers can offer their own value-added extensions to the Bubble platform. All apps will be sandboxed and will not be able to send any data outside your Bubble. We are waiting to release the App Store until such sandboxing can be properly audited. All apps listed in the official Bubble App Store will be audited and certified by Bubble; but you can connect your Bubble to other App Stores, which may offer different guarantees (or none at all!)

## Other reasons to Love your Bubble

### Bubble Promises:
  * We will never show you advertising.
  * We will never sell, rent, or give away your data to anyone, except when compelled by a lawful court order.
  * We will never sell, rent, or grant access to your data, via any means, to anyone, except when compelled by a lawful court order.
  * We will store as little data about you as we can; only the minimum that is absolutely required in order to use our service.
  * The only information we track on your Bubble is the fact that it is running, or not running.
  * The only information we track on our main website is information directly related to your account, so we can contact you if there is a problem. We do not use cookies.
  * We will not contact you for any reason, with these exceptions:
    * If there is a problem with your account, we may contact you to resolve the problem.
    * If you contact us, we may reply to your message.
    * If you have opted in to one of our email lists, we may send you news and updates. Other promises about our email lists:
      * All of our email lists are opt-in. You must explicitly check a box to opt-in; there is no "automatic opt-in".
      * Every email sent to our mailing lists includes an unsubscribe link.
      * We will never send more than one message per week to an email list.
      * Messages to our mailing lists do not include any trackers. We do not track "open rates".


### Friendly Account Deletion
We have built in account deletion from the start. If you delete your account on Bubble, everything about you and your Bubble is deleted, permanently.
Small caveat: We retain records of your payments for bookkeeping purposes, and in case of any future dispute. If you want us to delete these as well, please contact us; we'll send you a form: you waive your right to sue us in the future, and we'll replace your billing records with an anonymous aggregate record. This allows us to accurately track our revenues, but it will not to be associated with your account in any way.

### Friendly Account Data Download
We have built in the Account Data Download feature from the start. We welcome the data protections guaranteed by laws like the GDPR. We make it easy to download every bit of data we have about you. It's not a lot of data, but we make it easy to download.

### Automatic Backup and Restore
Your Bubble automatically does daily backups. These backups are encrypted on your Bubble before they are stored in cloud storage. This means that only your Bubble can decrypt them. Before you stop your bubble, please download your restore key first. With this key, you can restore your Bubble from cloud storage start using it again.

Note that if you delete your Bubble or delete your account, all of your backups will be deleted as well, and you will not be able to restore it. You would then have to launch a new Bubble.

### Your Bubble can Move around the World
You decide where in the world your Bubble runs. For best performance, you'll probably want to run it near your physical location, or at least in the same country. But you can run it wherever you want, and you can change your mind later: using Backup/Restore you can stop your Bubble in one place, and start it running again in another.

